読者です 読者をやめる 読者になる 読者になる

のしメモ アプリ開発ブログ

Unityアプリとかロボットとか作ってるときに困ったこととかメモ

GearVRの申請ビルドのチェック

公式でビルドのチェックツールがあるので、apkをアップする前にチェックして確認できます。
ちなみに自分の環境はUnity5.3のUnity.VRを使用したアプリのチェックになります。
この辺は色々と変わってくると思うので、3/5時点での状態の話なのでご注意ください。

コンソールから実行

./check_submission --aapt /Applications/android-sdk-macosx/build-tools/21.1.2/aapt --nm /Applications/android-sdk-macosx/build-tools/21.1.2/nm --openssl /usr/bin/openssl primebird.apk 

実行時のエラー

///
/// 7 errors detected. Submission does not meet requirements.
///
 --> Neither READ_EXTERNAL_STORAGE nor WRITE_EXTERNAL_STORAGE permissions defined
 --> APK ('/Users/noshipu/Desktop/PrimeBird/app-release.apk') is not built with SDK version v1.0.0 (or newer)
 --> APK install location is not 'internalOnly' (android:installLocation)
 --> APK is launchable (launchable-activity)
 --> Intent Filter Category attribute (application/activity/intent-filter/category) must be INFO in manifest
 --> Exclude from Recents (android:excludeFromRecents) must be non-0 in manifest
 --> VR application mode (com.samsung.android.vr.application.mode) is not defined, and should be 'vr_only'

エラー周りを潰していきます

だいたい、マニフェスト周りの調整が必要なので公式見てやっていきましょう
https://developer.oculus.com/documentation/publish/latest/concepts/publish-mobile-manifest/

リリース用のキーをあててあげるのも忘れずに。

 --> APK ('/Users/noshipu/Desktop/PrimeBird/app-release.apk') is not built with SDK version v1.0.0 (or newer)

このエラーについてはMacで作業していると発生する模様。
Windowsでビルドしてチェックツール使ったら直りました。
参考リンク
Mobile SDK 1.0 will be required for Gear VR apps | Mobile Development | Oculus VR Forums

これで申請ビルド完成!
あと、Warningが残っていても申請通ることもあるみたいです。